@echo off
echo :
echo :
echo :
if "%1" == "INSTALL" goto install
echo : Setup BAT file for CIRCAD Version 3.7, 01/15/96.
goto cont
:install
echo : Installation complete.
:cont
echo :
echo :
echo :
echo : Function    Function 
echo :  Number    Description
echo :
echo :    1       Set VGA 640x480 video mode.
echo :    2       Set VGA 800x600 video mode.
echo :    3       Set VGA 1024x768 video mode.
echo :
echo :    0       Continue with existing video setup.
echo :
echo :
echo : Select video/monitor type.
echo :
echo :
echo :
echo :
echo :

:loop1
kbchar
if errorlevel 52 goto loop1
if errorlevel 51 goto VGA1024
if errorlevel 50 goto VGA800
if errorlevel 49 goto VGA640
if errorlevel 48 goto loop2
goto loop1

:vga640
copy circad.drv\circad.vga circad.drv\circad.vid >nul
echo .
echo . 640x480 VGA mode established.
echo .
goto loop2

:vga800
copy circad.drv\circad.vgm circad.drv\circad.vid >nul
echo .
echo . 800x600 VGA mode established.
echo .
goto loop2

:vga1024
copy circad.drv\circad.vgh circad.drv\circad.vid >nul
echo .
echo . 1024x768 VGA mode established.
echo .
goto loop2

:loop2
echo :
echo : Function    Function 
echo :  Number    Description
echo :
echo :    1       Serial pen plotter using HPGL language.
echo :    2       Serial pen plotter using DMPL language.
echo :    3       Parallel 150dpi laser printer using PCL language.
echo :    4       Parallel 300dpi laser printer using PCL language.
echo :    5       Parallel 600dpi laser printer using PCL language.
echo :    6       Parallel 150dpi color ink-jet printer using PCL language.
echo :    7       Parallel 300dpi color ink-jet printer using PCL language.
echo :    8       Parallel 600dpi color ink-jet printer using PCL language.
echo :    9       Parallel 180dpi color bubble-jet printer using Epson codes.
echo :    A       Parallel 360dpi color bubble-jet printer using Epson codes.
echo :    B       Parallel 180dpi monochrome bubble-jet printer using Epson codes.
echo :    C       Parallel 360dpi monochrome bubble-jet printer using Epson codes.
echo :    D       Parallel 24-pin printer using Epson codes.
echo :    E       Parallel 9-pin printer using Epson codes.
echo :    F       Parallel PostScript printer.
echo :
echo :    0       Continue with existing printer/plotter setup.
echo :
echo : Select plotter/printer type.

:loop3
kbchar
if errorlevel 71 goto loop3
if errorlevel 70 goto PSCL
if errorlevel 69 goto PIN9
if errorlevel 68 goto PIN24
if errorlevel 67 goto BJ4
if errorlevel 66 goto BJ2
if errorlevel 65 goto BJC4
if errorlevel 57 goto BJC2
if errorlevel 56 goto PCLD
if errorlevel 55 goto PCLC
if errorlevel 54 goto PCLB
if errorlevel 53 goto PCL4
if errorlevel 52 goto PCL3
if errorlevel 51 goto PCL2
if errorlevel 50 goto DMPL
if errorlevel 49 goto HPGL
if errorlevel 48 goto loop4
goto loop3

:hpgl
copy circad.drv\circad.spw circad.drv\circad.spp >nul
echo .
echo . HPGL plotter codes installed.
echo .
goto loop4

:dmpl
copy circad.drv\circad.spu circad.drv\circad.spp >nul
echo .
echo . DMPL plotter codes installed.
echo .
goto loop4

:pcl2
copy circad.drv\circad.spi circad.drv\circad.spp >nul
echo .
echo . LaserJet 150dpi PCL printer codes installed.
echo .
goto loop4

:pcl3
copy circad.drv\circad.spj circad.drv\circad.spp >nul
echo .
echo . LaserJet 300dpi PCL printer codes installed.
echo .
goto loop4

:pcl4
copy circad.drv\circad.spk circad.drv\circad.spp >nul
echo .
echo . LaserJet 600dpi PCL printer codes installed.
echo .
goto loop4

:pclb
copy circad.drv\circad.spb circad.drv\circad.spp >nul
echo .
echo . DeskJet CMY 150dpi PCL printer codes installed.
echo .
goto loop4

:pclc
copy circad.drv\circad.spc circad.drv\circad.spp >nul
echo .
echo . DeskJet CMY 300dpi PCL printer codes installed.
echo .
goto loop4

:pcld
copy circad.drv\circad.spd circad.drv\circad.spp >nul
echo .
echo . DeskJet CMY 600dpi PCL printer codes installed.
echo .
goto loop4

:bjc2
copy circad.drv\circad.spe circad.drv\circad.spp >nul
echo .
echo . Bubblejet/Epson 180dpi color codes installed.
echo .
goto loop4

:bjc4
copy circad.drv\circad.spf circad.drv\circad.spp >nul
echo .
echo . Bubblejet/Epson 360dpi color codes installed.
echo .
goto loop4

:bj2
copy circad.drv\circad.spq circad.drv\circad.spp >nul
echo .
echo . Bubblejet/Epson 180dpi grey-scale codes installed.
echo .
goto loop4

:bj4
copy circad.drv\circad.spr circad.drv\circad.spp >nul
echo .
echo . Bubblejet/Epson 360dpi grey-scale codes installed.
echo .
goto loop4

:pin24
copy circad.drv\circad.spq circad.drv\circad.spp >nul
echo .
echo . Epson 24-pin printer codes installed.
echo .
goto loop4

:pin9
copy circad.drv\circad.spx circad.drv\circad.spp >nul
echo .
echo . Epson 9-pin printer codes installed.
echo .
goto loop4

:pscl
copy circad.drv\circad.sps circad.drv\circad.spp >nul
echo .
echo . Adobe/PostScript printer codes installed.
echo .
goto loop4

:loop4
echo :
echo :
echo :
echo :
echo :
echo : Function    Function 
echo :  Number    Description
echo :
echo :    1       Run a short automatic demo procedure.
echo :
echo :    0       Exit and return to DOS.
echo :
echo :
echo : Enter desired function number.
echo :
echo :
echo :
echo :
echo :
echo :

:loop5
kbchar
if errorlevel 50 goto loop5
if errorlevel 49 goto DEMORUN
if errorlevel 48 goto loop6
goto loop5

:demorun
circad -q0 -urun
if exist demo.net erase demo.net
if exist demo.log erase demo.log
goto loop4

:loop6
echo :
echo :
echo :
echo : CIRCAD is a product of:
echo :
echo : Holophase Incorporated                       Sales:  1-954-584-0010
echo : 6191 Orange Drive, Suite 6163-G              Tech:   1-954-584-5123
echo : Davie, Florida  33314                        Fax:    1-954-584-5972
echo :                                              BBS:    1-954-584-7089
echo :
echo :
echo :
echo :
echo :
echo :
echo :
echo :
echo : Type `SETUP' to modify the setup parameters.
echo :
echo :
echo : Type `CIRCAD' to invoke the program for normal operation.
echo :
echo :
echo :
echo :
echo :
